- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gssl_openssl.cpp File Reference
`#include "gdef.h"`
`#include "gssl.h"`
`#include "gtest.h"`
`#include "gstr.h"`
`#include "gpath.h"`
`#include "gexception.h"`
`#include "glog.h"`
`#include <openssl/ssl.h>`
`#include <openssl/err.h>`
`#include <openssl/rand.h>`
`#include <exception>`
`#include <vector>`
`#include <cassert>`
`#include <iomanip>`
`#include <fstream>`
`#include <sstream>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | GSsl::Context
| An openssl context wrapper. More...
class | GSsl::Certificate
| An openssl X509 RAII class. More...
class | GSsl::LibraryImp
| A private pimple class used by GSsl::Library. More...
class | GSsl::ProtocolImp
| A private pimple class used by GSsl::Protocol. More...
class | GSsl::Error
| A private exception class used by ssl classes. More...

## Namespaces
| GSsl
| TLS/SSL transport layer security classes.